Secure Connection Failed An error occurred during a connection to xxx Peer using unsupported version of security protocol. Error code: SSL_ERROR_UNSUPPORTED_VERSION

Browser FIrefox

I was having that same issue in Firefox, after checking the answer of Brando Zhang, I try only changing the “security.tls.version.enable-deprecated” to true (in about:config) and it worked!

That way, you don’t have to lower the TLS security version

Posted on: September 7, 2022, by :  | 26 views